Bug 729798 - pungi creates unbootable isos on ppc64
Summary: pungi creates unbootable isos on ppc64
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: 16
Hardware: powerpc
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F16NTHppc
TreeView+ depends on / blocked
 
Reported: 2011-08-10 20:44 UTC by Karsten Hopp
Modified: 2013-01-10 06:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-13 19:30:09 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2011-08-10 20:44:07 UTC
Description of problem:
I'm creating isos with pungi on my ppc64 machine, but the PPC specific mkisofs parameters don't get added to the mkisofs commandline.

/usr/lib/python2.7/site-packages/pypungi/__init__.py needs to extended to also check for ppc64:
elif self.config.get('pungi', 'arch') == 'ppc' or self.config.get('pungi', 'arch') == 'ppc64':
            extraargs.extend(ppcbootargs)
            extraargs.append(os.path.join(self.topdir, "ppc/mac"))

Version-Release number of selected component (if applicable):
pungi-2.9-1.fc16

Additional info:

Comment 1 Karsten Hopp 2011-09-01 13:08:21 UTC
ping ?

Comment 2 Jesse Keating 2011-09-01 16:03:29 UTC
re-assigning to releng for Fedora for now.

Comment 3 Karsten Hopp 2011-10-27 16:03:26 UTC
easy fix, but not blocking the PPC release as I'm using a custom pungi to create the images. Would be nice to have it fixed for F-16 PPC release, though.

Comment 4 Phil Knirsch 2012-01-13 19:30:09 UTC
Fixed in upstream git.

Thanks & regards, Phil


Note You need to log in before you can comment on or make changes to this bug.